org.red5.server.net.rtmp.status

## Class Status

- java.lang.Object
- - org.red5.server.net.rtmp.status.Status

All Implemented Interfaces:
  Externalizable, Serializable, ICustomSerializable, StatusCodes

    public class Status
    extends Object
    implements StatusCodes, ICustomSerializable, Externalizable

Represents status object that are transferred between server and client

See Also:
  Serialized Form

### Field Summary

Fields
`protected int` `clientid` Id of client
`protected String` `code` Status code
`protected String` `description` Status event description
`protected String` `details` Status event details
`static String` `ERROR` Error constant
`protected String` `level` Status level
`static String` `STATUS` Status constant
`static String` `WARNING` Warning constant

### Fields inherited from interface org.red5.server.net.rtmp.status.StatusCodes

`APP_GC, APP_RESOURCE_LOWMEMORY, APP_SCRIPT_ERROR, APP_SCRIPT_WARNING, APP_SHUTDOWN, NC_CALL_BADVERSION, NC_CALL_FAILED, NC_CONNECT_APPSHUTDOWN, NC_CONNECT_CLOSED, NC_CONNECT_FAILED, NC_CONNECT_INVALID_APPLICATION, NC_CONNECT_REJECTED, NC_CONNECT_SUCCESS, NS_BUFFER_EMPTY, NS_CLEAR_FAILED, NS_CLEAR_SUCCESS, NS_DATA_START, NS_FAILED, NS_INVALID_ARGUMENT, NS_PAUSE_NOTIFY, NS_PLAY_COMPLETE, NS_PLAY_FAILED, NS_PLAY_FILE_STRUCTURE_INVALID, NS_PLAY_INSUFFICIENT_BW, NS_PLAY_NO_SUPPORTED_TRACK_FOUND, NS_PLAY_PUBLISHNOTIFY, NS_PLAY_RESET, NS_PLAY_START, NS_PLAY_STOP, NS_PLAY_STREAMNOTFOUND, NS_PLAY_SWITCH, NS_PLAY_TRANSITION, NS_PLAY_TRANSITION_COMPLETE, NS_PLAY_UNPUBLISHNOTIFY, NS_PUBLISH_BADNAME, NS_PUBLISH_START, NS_RECORD_FAILED, NS_RECORD_NOACCESS, NS_RECORD_START, NS_RECORD_STOP, NS_SEEK_FAILED, NS_SEEK_NOTIFY, NS_TRANSITION_FORCED, NS_TRANSITION_SUCCESS, NS_UNPAUSE_NOTIFY, NS_UNPUBLISHED_SUCCESS, SO_CREATION_FAILED, SO_NO_READ_ACCESS, SO_NO_WRITE_ACCESS, SO_PERSISTENCE_MISMATCH`

### Constructor Summary

Constructors
Constructor and Description
`Status()` Constructs a new Status.
`Status(String code)` Creates status object with given status code
`Status(String code, String level, String description)` Creates status object with given level, description and status code

### Method Summary

Methods
`int` `getClientid()` Getter for client id
`String` `getCode()` Getter for status code.
`String` `getDescription()` Getter for description.
`String` `getDetails()` Getter for details
`String` `getLevel()` Getter for level.
`void` `readExternal(ObjectInput in)`
`void` `serialize(Output output, Serializer serializer)` Serialize this object to the given output stream.
`void` `setClientid(int clientid)` Setter for client id
`void` `setCode(String code)` Setter for code
`void` `setDesciption(String description)` Setter for desciption.
`void` `setDescription(String description)` Setter for description.
`void` `setDetails(String details)` Setter for details.
`void` `setLevel(String level)` Setter for level
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ERROR

    public static final String ERROR

Error constant

See Also:
  Constant Field Values

#### STATUS

    public static final String STATUS

Status constant

See Also:
  Constant Field Values

#### WARNING

    public static final String WARNING

Warning constant

See Also:
  Constant Field Values

#### code

    protected String code

Status code

#### level

    protected String level

Status level

#### description

    protected String description

Status event description

#### details

    protected String details

Status event details

#### clientid

    protected int clientid

Id of client

### Constructor Detail

#### Status

    public Status()

Constructs a new Status.

#### Status

    public Status(String code)

Creates status object with given status code

Parameters:
  `code` - Status code

#### Status

    public Status(String code,
          String level,
          String description)

Creates status object with given level, description and status code

Parameters:
  `code` - Status code
  `level` - Level
  `description` - Description

### Method Detail

#### getCode

    public String getCode()

Getter for status code.

Returns:
  Status code

#### setCode

    public void setCode(String code)

Setter for code

Parameters:
  `code` - Status code

#### getDescription

    public String getDescription()

Getter for description.

Returns:
  Status event description.

#### setDesciption

    public void setDesciption(String description)

Setter for desciption.

Parameters:
  `description` - Status event description.

#### getLevel

    public String getLevel()

Getter for level.

Returns:
  Level

#### setLevel

    public void setLevel(String level)

Setter for level

Parameters:
  `level` - Level

#### getClientid

    public int getClientid()

Getter for client id

Returns:
  Client id

#### setClientid

    public void setClientid(int clientid)

Setter for client id

Parameters:
  `clientid` - Client id

#### getDetails

    public String getDetails()

Getter for details

Returns:
  Status event details

#### setDetails

    public void setDetails(String details)

Setter for details.

Parameters:
  `details` - Status event details

#### setDescription

    public void setDescription(String description)

Setter for description.

Parameters:
  `description` - Status event description

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### serialize

    public void serialize(Output output,
                 Serializer serializer)

Description copied from interface: `ICustomSerializable`
Serialize this object to the given output stream.

Specified by:
  `serialize` in interface `ICustomSerializable`
Parameters:
  `output` - output
  `serializer` - serializer

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`